Package htsjdk.samtools.util

# Class HttpUtils

java.lang.Object
htsjdk.samtools.util.HttpUtils

public class HttpUtils extends Object
User: jrobinso Date: Sep 23, 2009

## Constructor Summary

Constructors
Constructor
Description
`HttpUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getETag(URL url)`
`static String`
`getHeaderField(URL url, String name)`
`static void`
`main(String[] args)`
`static void`
`printHeaderFields(URL url)`
`static boolean`
`resourceAvailable(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpUtils

public HttpUtils()

## Method Details

### getETag

public static String getETag(URL url)

### getHeaderField

public static String getHeaderField(URL url, String name)

### printHeaderFields

public static void printHeaderFields(URL url)

### resourceAvailable

public static boolean resourceAvailable(URL url)

### main

public static void main(String[] args) throws MalformedURLException

Throws:
  `MalformedURLException`